UX for the e10s "tab crashed" page on Desktop
In Bug  we implemented a first draft of a tab crashed page for Desktop. The priority here is relatively low, because we don't ship Electrolysis. Bug  has some design discussion especially about the "submit crash-report" feature. There was some mockup for Firefox OS that could be relevant: 
